{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Open Courses
{% endblock %}

{% block head_block %}

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>



{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_allot_open_courses_staffs %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Open Course Plan
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form class="form-horizontal" method="POST">{% csrf_token %}
                    <input type="text" name="no_of_courses" value="{{ no_of_courses }}" style="display: none">
                    <div id="accordion" role="tablist" aria-multiselectable="true">
                        {% if list_of_courses %}
                            {% for there in list_of_courses %}
                                <input type="text" name="course{{ forloop.counter }}" value="{{ there.pk }}"
                                       style="display: none">
                                <div class="panel">
                                    <div class="clearfix">
                                        <div class="row">
                                            <div>
                                                <label id="course-{{ there.course_id }}" class="col-sm-4 control-label">
                                                    {{ there.course_id }} - {{ there.course_name }} </label>
                                            </div>
                                            <div class="col-sm-5">
                                                <select class="selectpicker" multiple data-live-search="true"
                                                        name="select{{ forloop.counter }}" multiple
                                                        data-actions-box="true" data-width="300px">
                                                    {% for staff in list_of_staffs %}
                                                        {% if not there.staff_list %}
                                                            <option value="{{ staff.id }}"
                                                                    data-subtext="{{ staff.desig }}">{{ staff.staff_name }}</option>
                                                        {% else %}
                                                            {% if staff.id in there.staff_list %}
                                                                <option value="{{ staff.id }}"
                                                                        data-subtext="{{ staff.desig }}"
                                                                        selected>{{ staff.staff_name }}</option>
                                                            {% else %}
                                                                <option value="{{ staff.id }}"
                                                                        data-subtext="{{ staff.desig }}">{{ staff.staff_name }}</option>
                                                            {% endif %}
                                                        {% endif %}
                                                    {% endfor %}
                                                </select>
                                            </div>

                                            <strong class="col-sm-1 control-label"> Shortcode: </strong>

                                            <div class="col-sm-2">
                                                <input type="text"
                                                       class="form-control"
                                                       name="shortcode{{ forloop.counter }}"
                                                       maxlength="10" value="{{ there.code }}"
                                                       style="width: 100px; height: 30px">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {% endfor %}
                            <div class="col-sm-2 col-sm-offset-5">
                                <input type="submit" class="btn1 btn-dark-green" name="assign" value="Assign"/>
                            </div>
                        {% else %}
                            <div role="alert" class="alert alert-success alert-dismissible fade in">
                                <button aria-label="Close" data-dismiss="alert" class="close" type="button"><span
                                        aria-hidden="true">×</span>
                                </button>
                                <h5> No courses are currently available </h5>
                            </div>
                        {% endif %}
                    </div>
                </form>
            </div>
        </div>
    {% endif %}

{% endblock %}